summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2006-04-20 23:43:48 +0000
committerDonnie Berkholz <dberkholz@gentoo.org>2006-04-20 23:43:48 +0000
commit9d5f524f74b10f4e266e8db01cd3b36d78b57519 (patch)
tree1de5c7f5f418184932ea9f431cb12ba8bed6f374 /eclass
parentstop building the audio-inline plugin since it deps on gstreamer-0.8. fixes ... (diff)
downloadhistorical-9d5f524f74b10f4e266e8db01cd3b36d78b57519.tar.gz
historical-9d5f524f74b10f4e266e8db01cd3b36d78b57519.tar.bz2
historical-9d5f524f74b10f4e266e8db01cd3b36d78b57519.zip
(#120057) Enabling DRI in drivers requires that the server was built with support for it.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/x-modular.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 032f946ad13c..db889e71c707 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.52 2006/04/03 23:49:32 spyderous Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.53 2006/04/20 23:43:48 spyderous Exp $
#
# Author: Donnie Berkholz <spyderous@gentoo.org>
#
@@ -176,6 +176,17 @@ RDEPEND="${RDEPEND}
# x11-base/x11-env"
x-modular_unpack_source() {
+ # (#120057) Enabling DRI in drivers requires that the server was built with
+ # support for it
+ if [[ -n "${DRIVER}" ]]; then
+ if has dri ${IUSE} && use dri; then
+ einfo "Checking for direct rendering capabilities ..."
+ if ! built_with_use x11-base/xorg-server dri; then
+ die "You must build x11-base/xorg-server with USE=dri."
+ fi
+ fi
+ fi
+
unpack ${A}
cd ${S}